Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network131.128.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
131.128.0.0
Broadcast address
131.159.255.255
First usable
131.128.0.1
Last usable
131.159.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
B (default /16)
As numbers
Hex 83800000 · Integer 2206203904 to 2208301055
Reverse DNS zones
128.131.in-addr.arpa
129.131.in-addr.arpa
130.131.in-addr.arpa
131.131.in-addr.arpa
132.131.in-addr.arpa
133.131.in-addr.arpa
134.131.in-addr.arpa
135.131.in-addr.arpa
136.131.in-addr.arpa
137.131.in-addr.arpa
138.131.in-addr.arpa
139.131.in-addr.arpa
140.131.in-addr.arpa
141.131.in-addr.arpa
142.131.in-addr.arpa
143.131.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000011.10000000.00000000.00000000131.128.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network10000011.10000000.00000000.00000000131.128.0.0
Broadcast10000011.10011111.11111111.11111111131.159.255.255
Split into smaller subnets/21

131.128.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1131.128.0.0/21131.128.0.1 to 131.128.7.254131.128.7.2552,046
2131.128.8.0/21131.128.8.1 to 131.128.15.254131.128.15.2552,046
3131.128.16.0/21131.128.16.1 to 131.128.23.254131.128.23.2552,046
4131.128.24.0/21131.128.24.1 to 131.128.31.254131.128.31.2552,046
5131.128.32.0/21131.128.32.1 to 131.128.39.254131.128.39.2552,046
6131.128.40.0/21131.128.40.1 to 131.128.47.254131.128.47.2552,046
7131.128.48.0/21131.128.48.1 to 131.128.55.254131.128.55.2552,046
8131.128.56.0/21131.128.56.1 to 131.128.63.254131.128.63.2552,046
9131.128.64.0/21131.128.64.1 to 131.128.71.254131.128.71.2552,046
10131.128.72.0/21131.128.72.1 to 131.128.79.254131.128.79.2552,046
11131.128.80.0/21131.128.80.1 to 131.128.87.254131.128.87.2552,046
12131.128.88.0/21131.128.88.1 to 131.128.95.254131.128.95.2552,046
13131.128.96.0/21131.128.96.1 to 131.128.103.254131.128.103.2552,046
14131.128.104.0/21131.128.104.1 to 131.128.111.254131.128.111.2552,046
15131.128.112.0/21131.128.112.1 to 131.128.119.254131.128.119.2552,046
16131.128.120.0/21131.128.120.1 to 131.128.127.254131.128.127.2552,046
17131.128.128.0/21131.128.128.1 to 131.128.135.254131.128.135.2552,046
18131.128.136.0/21131.128.136.1 to 131.128.143.254131.128.143.2552,046
19131.128.144.0/21131.128.144.1 to 131.128.151.254131.128.151.2552,046
20131.128.152.0/21131.128.152.1 to 131.128.159.254131.128.159.2552,046
21131.128.160.0/21131.128.160.1 to 131.128.167.254131.128.167.2552,046
22131.128.168.0/21131.128.168.1 to 131.128.175.254131.128.175.2552,046
23131.128.176.0/21131.128.176.1 to 131.128.183.254131.128.183.2552,046
24131.128.184.0/21131.128.184.1 to 131.128.191.254131.128.191.2552,046
25131.128.192.0/21131.128.192.1 to 131.128.199.254131.128.199.2552,046
26131.128.200.0/21131.128.200.1 to 131.128.207.254131.128.207.2552,046
27131.128.208.0/21131.128.208.1 to 131.128.215.254131.128.215.2552,046
28131.128.216.0/21131.128.216.1 to 131.128.223.254131.128.223.2552,046
29131.128.224.0/21131.128.224.1 to 131.128.231.254131.128.231.2552,046
30131.128.232.0/21131.128.232.1 to 131.128.239.254131.128.239.2552,046
31131.128.240.0/21131.128.240.1 to 131.128.247.254131.128.247.2552,046
32131.128.248.0/21131.128.248.1 to 131.128.255.254131.128.255.2552,046
33131.129.0.0/21131.129.0.1 to 131.129.7.254131.129.7.2552,046
34131.129.8.0/21131.129.8.1 to 131.129.15.254131.129.15.2552,046
35131.129.16.0/21131.129.16.1 to 131.129.23.254131.129.23.2552,046
36131.129.24.0/21131.129.24.1 to 131.129.31.254131.129.31.2552,046
37131.129.32.0/21131.129.32.1 to 131.129.39.254131.129.39.2552,046
38131.129.40.0/21131.129.40.1 to 131.129.47.254131.129.47.2552,046
39131.129.48.0/21131.129.48.1 to 131.129.55.254131.129.55.2552,046
40131.129.56.0/21131.129.56.1 to 131.129.63.254131.129.63.2552,046
41131.129.64.0/21131.129.64.1 to 131.129.71.254131.129.71.2552,046
42131.129.72.0/21131.129.72.1 to 131.129.79.254131.129.79.2552,046
43131.129.80.0/21131.129.80.1 to 131.129.87.254131.129.87.2552,046
44131.129.88.0/21131.129.88.1 to 131.129.95.254131.129.95.2552,046
45131.129.96.0/21131.129.96.1 to 131.129.103.254131.129.103.2552,046
46131.129.104.0/21131.129.104.1 to 131.129.111.254131.129.111.2552,046
47131.129.112.0/21131.129.112.1 to 131.129.119.254131.129.119.2552,046
48131.129.120.0/21131.129.120.1 to 131.129.127.254131.129.127.2552,046
49131.129.128.0/21131.129.128.1 to 131.129.135.254131.129.135.2552,046
50131.129.136.0/21131.129.136.1 to 131.129.143.254131.129.143.2552,046
51131.129.144.0/21131.129.144.1 to 131.129.151.254131.129.151.2552,046
52131.129.152.0/21131.129.152.1 to 131.129.159.254131.129.159.2552,046
53131.129.160.0/21131.129.160.1 to 131.129.167.254131.129.167.2552,046
54131.129.168.0/21131.129.168.1 to 131.129.175.254131.129.175.2552,046
55131.129.176.0/21131.129.176.1 to 131.129.183.254131.129.183.2552,046
56131.129.184.0/21131.129.184.1 to 131.129.191.254131.129.191.2552,046
57131.129.192.0/21131.129.192.1 to 131.129.199.254131.129.199.2552,046
58131.129.200.0/21131.129.200.1 to 131.129.207.254131.129.207.2552,046
59131.129.208.0/21131.129.208.1 to 131.129.215.254131.129.215.2552,046
60131.129.216.0/21131.129.216.1 to 131.129.223.254131.129.223.2552,046
61131.129.224.0/21131.129.224.1 to 131.129.231.254131.129.231.2552,046
62131.129.232.0/21131.129.232.1 to 131.129.239.254131.129.239.2552,046
63131.129.240.0/21131.129.240.1 to 131.129.247.254131.129.247.2552,046
64131.129.248.0/21131.129.248.1 to 131.129.255.254131.129.255.2552,046
65131.130.0.0/21131.130.0.1 to 131.130.7.254131.130.7.2552,046
66131.130.8.0/21131.130.8.1 to 131.130.15.254131.130.15.2552,046
67131.130.16.0/21131.130.16.1 to 131.130.23.254131.130.23.2552,046
68131.130.24.0/21131.130.24.1 to 131.130.31.254131.130.31.2552,046
69131.130.32.0/21131.130.32.1 to 131.130.39.254131.130.39.2552,046
70131.130.40.0/21131.130.40.1 to 131.130.47.254131.130.47.2552,046
71131.130.48.0/21131.130.48.1 to 131.130.55.254131.130.55.2552,046
72131.130.56.0/21131.130.56.1 to 131.130.63.254131.130.63.2552,046
73131.130.64.0/21131.130.64.1 to 131.130.71.254131.130.71.2552,046
74131.130.72.0/21131.130.72.1 to 131.130.79.254131.130.79.2552,046
75131.130.80.0/21131.130.80.1 to 131.130.87.254131.130.87.2552,046
76131.130.88.0/21131.130.88.1 to 131.130.95.254131.130.95.2552,046
77131.130.96.0/21131.130.96.1 to 131.130.103.254131.130.103.2552,046
78131.130.104.0/21131.130.104.1 to 131.130.111.254131.130.111.2552,046
79131.130.112.0/21131.130.112.1 to 131.130.119.254131.130.119.2552,046
80131.130.120.0/21131.130.120.1 to 131.130.127.254131.130.127.2552,046
81131.130.128.0/21131.130.128.1 to 131.130.135.254131.130.135.2552,046
82131.130.136.0/21131.130.136.1 to 131.130.143.254131.130.143.2552,046
83131.130.144.0/21131.130.144.1 to 131.130.151.254131.130.151.2552,046
84131.130.152.0/21131.130.152.1 to 131.130.159.254131.130.159.2552,046
85131.130.160.0/21131.130.160.1 to 131.130.167.254131.130.167.2552,046
86131.130.168.0/21131.130.168.1 to 131.130.175.254131.130.175.2552,046
87131.130.176.0/21131.130.176.1 to 131.130.183.254131.130.183.2552,046
88131.130.184.0/21131.130.184.1 to 131.130.191.254131.130.191.2552,046
89131.130.192.0/21131.130.192.1 to 131.130.199.254131.130.199.2552,046
90131.130.200.0/21131.130.200.1 to 131.130.207.254131.130.207.2552,046
91131.130.208.0/21131.130.208.1 to 131.130.215.254131.130.215.2552,046
92131.130.216.0/21131.130.216.1 to 131.130.223.254131.130.223.2552,046
93131.130.224.0/21131.130.224.1 to 131.130.231.254131.130.231.2552,046
94131.130.232.0/21131.130.232.1 to 131.130.239.254131.130.239.2552,046
95131.130.240.0/21131.130.240.1 to 131.130.247.254131.130.247.2552,046
96131.130.248.0/21131.130.248.1 to 131.130.255.254131.130.255.2552,046
97131.131.0.0/21131.131.0.1 to 131.131.7.254131.131.7.2552,046
98131.131.8.0/21131.131.8.1 to 131.131.15.254131.131.15.2552,046
99131.131.16.0/21131.131.16.1 to 131.131.23.254131.131.23.2552,046
100131.131.24.0/21131.131.24.1 to 131.131.31.254131.131.31.2552,046
101131.131.32.0/21131.131.32.1 to 131.131.39.254131.131.39.2552,046
102131.131.40.0/21131.131.40.1 to 131.131.47.254131.131.47.2552,046
103131.131.48.0/21131.131.48.1 to 131.131.55.254131.131.55.2552,046
104131.131.56.0/21131.131.56.1 to 131.131.63.254131.131.63.2552,046
105131.131.64.0/21131.131.64.1 to 131.131.71.254131.131.71.2552,046
106131.131.72.0/21131.131.72.1 to 131.131.79.254131.131.79.2552,046
107131.131.80.0/21131.131.80.1 to 131.131.87.254131.131.87.2552,046
108131.131.88.0/21131.131.88.1 to 131.131.95.254131.131.95.2552,046
109131.131.96.0/21131.131.96.1 to 131.131.103.254131.131.103.2552,046
110131.131.104.0/21131.131.104.1 to 131.131.111.254131.131.111.2552,046
111131.131.112.0/21131.131.112.1 to 131.131.119.254131.131.119.2552,046
112131.131.120.0/21131.131.120.1 to 131.131.127.254131.131.127.2552,046
113131.131.128.0/21131.131.128.1 to 131.131.135.254131.131.135.2552,046
114131.131.136.0/21131.131.136.1 to 131.131.143.254131.131.143.2552,046
115131.131.144.0/21131.131.144.1 to 131.131.151.254131.131.151.2552,046
116131.131.152.0/21131.131.152.1 to 131.131.159.254131.131.159.2552,046
117131.131.160.0/21131.131.160.1 to 131.131.167.254131.131.167.2552,046
118131.131.168.0/21131.131.168.1 to 131.131.175.254131.131.175.2552,046
119131.131.176.0/21131.131.176.1 to 131.131.183.254131.131.183.2552,046
120131.131.184.0/21131.131.184.1 to 131.131.191.254131.131.191.2552,046
121131.131.192.0/21131.131.192.1 to 131.131.199.254131.131.199.2552,046
122131.131.200.0/21131.131.200.1 to 131.131.207.254131.131.207.2552,046
123131.131.208.0/21131.131.208.1 to 131.131.215.254131.131.215.2552,046
124131.131.216.0/21131.131.216.1 to 131.131.223.254131.131.223.2552,046
125131.131.224.0/21131.131.224.1 to 131.131.231.254131.131.231.2552,046
126131.131.232.0/21131.131.232.1 to 131.131.239.254131.131.239.2552,046
127131.131.240.0/21131.131.240.1 to 131.131.247.254131.131.247.2552,046
128131.131.248.0/21131.131.248.1 to 131.131.255.254131.131.255.2552,046
129131.132.0.0/21131.132.0.1 to 131.132.7.254131.132.7.2552,046
130131.132.8.0/21131.132.8.1 to 131.132.15.254131.132.15.2552,046
131131.132.16.0/21131.132.16.1 to 131.132.23.254131.132.23.2552,046
132131.132.24.0/21131.132.24.1 to 131.132.31.254131.132.31.2552,046
133131.132.32.0/21131.132.32.1 to 131.132.39.254131.132.39.2552,046
134131.132.40.0/21131.132.40.1 to 131.132.47.254131.132.47.2552,046
135131.132.48.0/21131.132.48.1 to 131.132.55.254131.132.55.2552,046
136131.132.56.0/21131.132.56.1 to 131.132.63.254131.132.63.2552,046
137131.132.64.0/21131.132.64.1 to 131.132.71.254131.132.71.2552,046
138131.132.72.0/21131.132.72.1 to 131.132.79.254131.132.79.2552,046
139131.132.80.0/21131.132.80.1 to 131.132.87.254131.132.87.2552,046
140131.132.88.0/21131.132.88.1 to 131.132.95.254131.132.95.2552,046
141131.132.96.0/21131.132.96.1 to 131.132.103.254131.132.103.2552,046
142131.132.104.0/21131.132.104.1 to 131.132.111.254131.132.111.2552,046
143131.132.112.0/21131.132.112.1 to 131.132.119.254131.132.119.2552,046
144131.132.120.0/21131.132.120.1 to 131.132.127.254131.132.127.2552,046
145131.132.128.0/21131.132.128.1 to 131.132.135.254131.132.135.2552,046
146131.132.136.0/21131.132.136.1 to 131.132.143.254131.132.143.2552,046
147131.132.144.0/21131.132.144.1 to 131.132.151.254131.132.151.2552,046
148131.132.152.0/21131.132.152.1 to 131.132.159.254131.132.159.2552,046
149131.132.160.0/21131.132.160.1 to 131.132.167.254131.132.167.2552,046
150131.132.168.0/21131.132.168.1 to 131.132.175.254131.132.175.2552,046
151131.132.176.0/21131.132.176.1 to 131.132.183.254131.132.183.2552,046
152131.132.184.0/21131.132.184.1 to 131.132.191.254131.132.191.2552,046
153131.132.192.0/21131.132.192.1 to 131.132.199.254131.132.199.2552,046
154131.132.200.0/21131.132.200.1 to 131.132.207.254131.132.207.2552,046
155131.132.208.0/21131.132.208.1 to 131.132.215.254131.132.215.2552,046
156131.132.216.0/21131.132.216.1 to 131.132.223.254131.132.223.2552,046
157131.132.224.0/21131.132.224.1 to 131.132.231.254131.132.231.2552,046
158131.132.232.0/21131.132.232.1 to 131.132.239.254131.132.239.2552,046
159131.132.240.0/21131.132.240.1 to 131.132.247.254131.132.247.2552,046
160131.132.248.0/21131.132.248.1 to 131.132.255.254131.132.255.2552,046
161131.133.0.0/21131.133.0.1 to 131.133.7.254131.133.7.2552,046
162131.133.8.0/21131.133.8.1 to 131.133.15.254131.133.15.2552,046
163131.133.16.0/21131.133.16.1 to 131.133.23.254131.133.23.2552,046
164131.133.24.0/21131.133.24.1 to 131.133.31.254131.133.31.2552,046
165131.133.32.0/21131.133.32.1 to 131.133.39.254131.133.39.2552,046
166131.133.40.0/21131.133.40.1 to 131.133.47.254131.133.47.2552,046
167131.133.48.0/21131.133.48.1 to 131.133.55.254131.133.55.2552,046
168131.133.56.0/21131.133.56.1 to 131.133.63.254131.133.63.2552,046
169131.133.64.0/21131.133.64.1 to 131.133.71.254131.133.71.2552,046
170131.133.72.0/21131.133.72.1 to 131.133.79.254131.133.79.2552,046
171131.133.80.0/21131.133.80.1 to 131.133.87.254131.133.87.2552,046
172131.133.88.0/21131.133.88.1 to 131.133.95.254131.133.95.2552,046
173131.133.96.0/21131.133.96.1 to 131.133.103.254131.133.103.2552,046
174131.133.104.0/21131.133.104.1 to 131.133.111.254131.133.111.2552,046
175131.133.112.0/21131.133.112.1 to 131.133.119.254131.133.119.2552,046
176131.133.120.0/21131.133.120.1 to 131.133.127.254131.133.127.2552,046
177131.133.128.0/21131.133.128.1 to 131.133.135.254131.133.135.2552,046
178131.133.136.0/21131.133.136.1 to 131.133.143.254131.133.143.2552,046
179131.133.144.0/21131.133.144.1 to 131.133.151.254131.133.151.2552,046
180131.133.152.0/21131.133.152.1 to 131.133.159.254131.133.159.2552,046
181131.133.160.0/21131.133.160.1 to 131.133.167.254131.133.167.2552,046
182131.133.168.0/21131.133.168.1 to 131.133.175.254131.133.175.2552,046
183131.133.176.0/21131.133.176.1 to 131.133.183.254131.133.183.2552,046
184131.133.184.0/21131.133.184.1 to 131.133.191.254131.133.191.2552,046
185131.133.192.0/21131.133.192.1 to 131.133.199.254131.133.199.2552,046
186131.133.200.0/21131.133.200.1 to 131.133.207.254131.133.207.2552,046
187131.133.208.0/21131.133.208.1 to 131.133.215.254131.133.215.2552,046
188131.133.216.0/21131.133.216.1 to 131.133.223.254131.133.223.2552,046
189131.133.224.0/21131.133.224.1 to 131.133.231.254131.133.231.2552,046
190131.133.232.0/21131.133.232.1 to 131.133.239.254131.133.239.2552,046
191131.133.240.0/21131.133.240.1 to 131.133.247.254131.133.247.2552,046
192131.133.248.0/21131.133.248.1 to 131.133.255.254131.133.255.2552,046
193131.134.0.0/21131.134.0.1 to 131.134.7.254131.134.7.2552,046
194131.134.8.0/21131.134.8.1 to 131.134.15.254131.134.15.2552,046
195131.134.16.0/21131.134.16.1 to 131.134.23.254131.134.23.2552,046
196131.134.24.0/21131.134.24.1 to 131.134.31.254131.134.31.2552,046
197131.134.32.0/21131.134.32.1 to 131.134.39.254131.134.39.2552,046
198131.134.40.0/21131.134.40.1 to 131.134.47.254131.134.47.2552,046
199131.134.48.0/21131.134.48.1 to 131.134.55.254131.134.55.2552,046
200131.134.56.0/21131.134.56.1 to 131.134.63.254131.134.63.2552,046
201131.134.64.0/21131.134.64.1 to 131.134.71.254131.134.71.2552,046
202131.134.72.0/21131.134.72.1 to 131.134.79.254131.134.79.2552,046
203131.134.80.0/21131.134.80.1 to 131.134.87.254131.134.87.2552,046
204131.134.88.0/21131.134.88.1 to 131.134.95.254131.134.95.2552,046
205131.134.96.0/21131.134.96.1 to 131.134.103.254131.134.103.2552,046
206131.134.104.0/21131.134.104.1 to 131.134.111.254131.134.111.2552,046
207131.134.112.0/21131.134.112.1 to 131.134.119.254131.134.119.2552,046
208131.134.120.0/21131.134.120.1 to 131.134.127.254131.134.127.2552,046
209131.134.128.0/21131.134.128.1 to 131.134.135.254131.134.135.2552,046
210131.134.136.0/21131.134.136.1 to 131.134.143.254131.134.143.2552,046
211131.134.144.0/21131.134.144.1 to 131.134.151.254131.134.151.2552,046
212131.134.152.0/21131.134.152.1 to 131.134.159.254131.134.159.2552,046
213131.134.160.0/21131.134.160.1 to 131.134.167.254131.134.167.2552,046
214131.134.168.0/21131.134.168.1 to 131.134.175.254131.134.175.2552,046
215131.134.176.0/21131.134.176.1 to 131.134.183.254131.134.183.2552,046
216131.134.184.0/21131.134.184.1 to 131.134.191.254131.134.191.2552,046
217131.134.192.0/21131.134.192.1 to 131.134.199.254131.134.199.2552,046
218131.134.200.0/21131.134.200.1 to 131.134.207.254131.134.207.2552,046
219131.134.208.0/21131.134.208.1 to 131.134.215.254131.134.215.2552,046
220131.134.216.0/21131.134.216.1 to 131.134.223.254131.134.223.2552,046
221131.134.224.0/21131.134.224.1 to 131.134.231.254131.134.231.2552,046
222131.134.232.0/21131.134.232.1 to 131.134.239.254131.134.239.2552,046
223131.134.240.0/21131.134.240.1 to 131.134.247.254131.134.247.2552,046
224131.134.248.0/21131.134.248.1 to 131.134.255.254131.134.255.2552,046
225131.135.0.0/21131.135.0.1 to 131.135.7.254131.135.7.2552,046
226131.135.8.0/21131.135.8.1 to 131.135.15.254131.135.15.2552,046
227131.135.16.0/21131.135.16.1 to 131.135.23.254131.135.23.2552,046
228131.135.24.0/21131.135.24.1 to 131.135.31.254131.135.31.2552,046
229131.135.32.0/21131.135.32.1 to 131.135.39.254131.135.39.2552,046
230131.135.40.0/21131.135.40.1 to 131.135.47.254131.135.47.2552,046
231131.135.48.0/21131.135.48.1 to 131.135.55.254131.135.55.2552,046
232131.135.56.0/21131.135.56.1 to 131.135.63.254131.135.63.2552,046
233131.135.64.0/21131.135.64.1 to 131.135.71.254131.135.71.2552,046
234131.135.72.0/21131.135.72.1 to 131.135.79.254131.135.79.2552,046
235131.135.80.0/21131.135.80.1 to 131.135.87.254131.135.87.2552,046
236131.135.88.0/21131.135.88.1 to 131.135.95.254131.135.95.2552,046
237131.135.96.0/21131.135.96.1 to 131.135.103.254131.135.103.2552,046
238131.135.104.0/21131.135.104.1 to 131.135.111.254131.135.111.2552,046
239131.135.112.0/21131.135.112.1 to 131.135.119.254131.135.119.2552,046
240131.135.120.0/21131.135.120.1 to 131.135.127.254131.135.127.2552,046
241131.135.128.0/21131.135.128.1 to 131.135.135.254131.135.135.2552,046
242131.135.136.0/21131.135.136.1 to 131.135.143.254131.135.143.2552,046
243131.135.144.0/21131.135.144.1 to 131.135.151.254131.135.151.2552,046
244131.135.152.0/21131.135.152.1 to 131.135.159.254131.135.159.2552,046
245131.135.160.0/21131.135.160.1 to 131.135.167.254131.135.167.2552,046
246131.135.168.0/21131.135.168.1 to 131.135.175.254131.135.175.2552,046
247131.135.176.0/21131.135.176.1 to 131.135.183.254131.135.183.2552,046
248131.135.184.0/21131.135.184.1 to 131.135.191.254131.135.191.2552,046
249131.135.192.0/21131.135.192.1 to 131.135.199.254131.135.199.2552,046
250131.135.200.0/21131.135.200.1 to 131.135.207.254131.135.207.2552,046
251131.135.208.0/21131.135.208.1 to 131.135.215.254131.135.215.2552,046
252131.135.216.0/21131.135.216.1 to 131.135.223.254131.135.223.2552,046
253131.135.224.0/21131.135.224.1 to 131.135.231.254131.135.231.2552,046
254131.135.232.0/21131.135.232.1 to 131.135.239.254131.135.239.2552,046
255131.135.240.0/21131.135.240.1 to 131.135.247.254131.135.247.2552,046
256131.135.248.0/21131.135.248.1 to 131.135.255.254131.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses